diff a/installers/linux/universal/rpm/scripts/postin_javac.sh.template b/installers/linux/universal/rpm/scripts/postin_javac.sh.template
--- /dev/null
+++ b/installers/linux/universal/rpm/scripts/postin_javac.sh.template
@@ -0,0 +1,46 @@
+if [ $1 -eq 1 ] ; then
+    alternatives --install /usr/bin/javac javac ${RPM_INSTALL_PREFIX}/bin/javac @alternatives_priority@ \
+                 --slave /usr/lib/jvm/java java_sdk ${RPM_INSTALL_PREFIX} \
+                 --slave /usr/bin/jaotc jaotc ${RPM_INSTALL_PREFIX}/bin/jaotc \
+                 --slave /usr/bin/jlink jlink ${RPM_INSTALL_PREFIX}/bin/jlink \
+                 --slave /usr/bin/jmod jmod ${RPM_INSTALL_PREFIX}/bin/jmod \
+                 --slave /usr/bin/jhsdb jhsdb ${RPM_INSTALL_PREFIX}/bin/jhsdb \
+                 --slave /usr/bin/jar jar ${RPM_INSTALL_PREFIX}/bin/jar \
+                 --slave /usr/bin/jarsigner jarsigner ${RPM_INSTALL_PREFIX}/bin/jarsigner \
+                 --slave /usr/bin/javadoc javadoc ${RPM_INSTALL_PREFIX}/bin/javadoc \
+                 --slave /usr/bin/javap javap ${RPM_INSTALL_PREFIX}/bin/javap \
+                 --slave /usr/bin/jcmd jcmd ${RPM_INSTALL_PREFIX}/bin/jcmd \
+                 --slave /usr/bin/jconsole jconsole ${RPM_INSTALL_PREFIX}/bin/jconsole \
+                 --slave /usr/bin/jdb jdb ${RPM_INSTALL_PREFIX}/bin/jdb \
+                 --slave /usr/bin/jdeps jdeps ${RPM_INSTALL_PREFIX}/bin/jdeps \
+                 --slave /usr/bin/jdeprscan jdeprscan ${RPM_INSTALL_PREFIX}/bin/jdeprscan \
+                 --slave /usr/bin/jimage jimage ${RPM_INSTALL_PREFIX}/bin/jimage \
+                 --slave /usr/bin/jinfo jinfo ${RPM_INSTALL_PREFIX}/bin/jinfo \
+                 --slave /usr/bin/jmap jmap ${RPM_INSTALL_PREFIX}/bin/jmap \
+                 --slave /usr/bin/jps jps ${RPM_INSTALL_PREFIX}/bin/jps \
+                 --slave /usr/bin/jrunscript jrunscript ${RPM_INSTALL_PREFIX}/bin/jrunscript \
+                 --slave /usr/bin/jshell jshell ${RPM_INSTALL_PREFIX}/bin/jshell \
+                 --slave /usr/bin/jstack jstack ${RPM_INSTALL_PREFIX}/bin/jstack \
+                 --slave /usr/bin/jstat jstat ${RPM_INSTALL_PREFIX}/bin/jstat \
+                 --slave /usr/bin/jstatd jstatd ${RPM_INSTALL_PREFIX}/bin/jstatd \
+                 --slave /usr/bin/rmic rmic ${RPM_INSTALL_PREFIX}/bin/rmic \
+                 --slave /usr/bin/serialver serialver ${RPM_INSTALL_PREFIX}/bin/serialver \
+                 --slave /usr/share/man/man1/jar.1 jar.1 ${RPM_INSTALL_PREFIX}/man/man1/jar.1 \
+                 --slave /usr/share/man/man1/jarsigner.1 jarsigner.1 ${RPM_INSTALL_PREFIX}/man/man1/jarsigner.1 \
+                 --slave /usr/share/man/man1/javac.1 javac.1 ${RPM_INSTALL_PREFIX}/man/man1/javac.1 \
+                 --slave /usr/share/man/man1/javadoc.1 javadoc.1 ${RPM_INSTALL_PREFIX}/man/man1/javadoc.1 \
+                 --slave /usr/share/man/man1/javap.1 javap.1 ${RPM_INSTALL_PREFIX}/man/man1/javap.1 \
+                 --slave /usr/share/man/man1/jcmd.1 jcmd.1 ${RPM_INSTALL_PREFIX}/man/man1/jcmd.1 \
+                 --slave /usr/share/man/man1/jconsole.1 jconsole.1 ${RPM_INSTALL_PREFIX}/man/man1/jconsole.1 \
+                 --slave /usr/share/man/man1/jdb.1 jdb.1 ${RPM_INSTALL_PREFIX}/man/man1/jdb.1 \
+                 --slave /usr/share/man/man1/jdeps.1 jdeps.1 ${RPM_INSTALL_PREFIX}/man/man1/jdeps.1 \
+                 --slave /usr/share/man/man1/jinfo.1 jinfo.1 ${RPM_INSTALL_PREFIX}/man/man1/jinfo.1 \
+                 --slave /usr/share/man/man1/jmap.1 jmap.1 ${RPM_INSTALL_PREFIX}/man/man1/jmap.1 \
+                 --slave /usr/share/man/man1/jps.1 jps.1 ${RPM_INSTALL_PREFIX}/man/man1/jps.1 \
+                 --slave /usr/share/man/man1/jrunscript.1 jrunscript.1 ${RPM_INSTALL_PREFIX}/man/man1/jrunscript.1 \
+                 --slave /usr/share/man/man1/jstack.1 jstack.1 ${RPM_INSTALL_PREFIX}/man/man1/jstack.1 \
+                 --slave /usr/share/man/man1/jstat.1 jstat.1 ${RPM_INSTALL_PREFIX}/man/man1/jstat.1 \
+                 --slave /usr/share/man/man1/jstatd.1 jstatd.1 ${RPM_INSTALL_PREFIX}/man/man1/jstatd.1 \
+                 --slave /usr/share/man/man1/rmic.1 rmic.1 ${RPM_INSTALL_PREFIX}/man/man1/rmic.1 \
+                 --slave /usr/share/man/man1/serialver.1 serialver.1 ${RPM_INSTALL_PREFIX}/man/man1/serialver.1 
+fi
